## linux 5.10.226

=== debian/changelog ===
linux (5.10.226-1) bullseye-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.224
    - [amd64] EDAC/skx_common: Add new ADXL components for 2-level memory
    - [amd64] EDAC, i10nm: make skx_common.o a separate module
    - [arm64] platform/chrome: cros_ec_debugfs: fix wrong EC message version
    - hfsplus: fix to avoid false alarm of circular locking
    - [i386] of: Return consistent error type from x86_of_pci_irq_enable()
    - [x86] pci/xen: Fix PCIBIOS_* return code handling
    - [x86] platform/iosf_mbi: Convert PCIBIOS_* return codes to errnos
    - hwmon: (adt7475) Fix default duty on fan is disabled
    - [arm64] dts: qcom: msm8996: specify UFS core_clk frequencies
    - [arm*] soc: qcom: pdr: protect locator_addr with the main mutex
      (CVE-2024-43849)
    - [arm64] dts: rockchip: Increase VOP clk rate on RK3328
    - [arm64] dts: amlogic: gx: correct hdmi clocks
    - [arm64] firmware: turris-mox-rwtm: Fix checking return value of
      wait_for_completion_timeout()
    - [arm64] firmware: turris-mox-rwtm: Initialize completion before mailbox
    - wifi: brcmsmac: LCN PHY code is used for BCM4313 2G-only device
    - net: esp: cleanup esp_output_tail_tcp() in case of unsupported ESPINTCP
    - net/smc: Allow SMC-D 1MB DMB allocations
    - net/smc: set rmb's SG_MAX_SINGLE_ALLOC limitation only when
      CONFIG_ARCH_NO_SG_CHAIN is defined
    - lib: objagg: Fix general protection fault (CVE-2024-43846)
    - mlxsw: spectrum_acl_erp: Fix object nesting warning (CVE-2024-43880)
    - ath11k: dp: stop rx pktlog before suspend
    - wifi: ath11k: fix wrong handling of CCMP256 and GCMP ciphers
    - wifi: cfg80211: fix typo in cfg80211_calculate_bitrate_he()
    - wifi: cfg80211: handle 2x996 RU allocation in
      cfg80211_calculate_bitrate_he() (CVE-2024-43879)
    - [arm*] net: fec: Refactor: #define magic constants
    - [arm*] net: fec: Fix FEC_ECR_EN1588 being cleared on link-down
    - ipvs: Avoid unnecessary calls to skb_is_gso_sctp
    - netfilter: nf_tables: rise cap on SELinux secmark context
    - [x86] perf/x86/intel/pt: Fix pt_topa_entry_for_page() address calculation
    - perf: Fix perf_aux_size() for greater-than 32-bit size
    - perf: Prevent passing zero nr_pages to rb_alloc_aux()
    - qed: Improve the stack space of filter_config()
    - wifi: virt_wifi: avoid reporting connection success with wrong SSID
      (CVE-2024-43841)
    - gss_krb5: Fix the error handling path for crypto_sync_skcipher_setkey
    - bna: adjust 'name' buf size of bna_tcb and bna_ccb structures
      (CVE-2024-43839)
    - xdp: fix invalid wait context of page_pool_destroy() (CVE-2024-43834)
    - media: imon: Fix race getting ictx->lock
    - saa7134: Unchecked i2c_transfer function result fixed
    - media: uvcvideo: Allow entity-defined get_info and get_cur
    - media: uvcvideo: Override default flags
    - leds: trigger: Unregister sysfs attributes before calling deactivate()
      (CVE-2024-43830)
    - perf report: Fix condition in sort__sym_cmp()
    - [armhf] drm/etnaviv: fix DMA direction handling for cached RW buffers
    - drm/qxl: Add check for drm_cvt_mode (CVE-2024-43829)
    - Revert "leds: led-core: Fix refcount leak in of_led_get()"
      (regression in 5.10.173)
    - ext4: fix infinite loop when replaying fast_commit (CVE-2024-43828)
    - [arm64] media: venus: flush all buffers in output plane streamoff
    - [armhf] mfd: omap-usb-tll: Use struct_size to allocate tll
    - xprtrdma: Rename frwr_release_mr()
    - xprtrdma: Fix rpcrdma_reqs_reset()
    - SUNRPC: avoid soft lockup when transmitting UDP to reachable server.
    - ext4: avoid writing unitialized memory to disk in EA inodes
    - SUNRPC: Fixup gss_status tracepoint error output
    - PCI: Fix resource double counting on remove & rescan
    - RDMA/mlx4: Fix truncated output warning in mad.c
    - RDMA/mlx4: Fix truncated output warning in alias_GUID.c
    - RDMA/rxe: Don't set BTH_ACK_MASK for UC or UD QPs
    - RDMA/device: Return error earlier if port in not valid
    - Input: elan_i2c - do not leave interrupt disabled on suspend failure
    - [arm64] RDMA/hns: Fix missing pagesize and alignment check in FRMR
    - netfilter: ctnetlink: use helper function to calculate expect ID
      (CVE-2024-44944)
    - [arm*] net: dsa: mv88e6xxx: Limit chip-wide frame size config to CPU
      ports
    - [armhf] net: dsa: b53: Limit chip-wide jumbo frame config to CPU ports
    - [arm*] pinctrl: rockchip: update rk3308 iomux routes
    - pinctrl: core: fix possible memory leak when pinctrl_enable() fails
    - pinctrl: single: fix possible memory leak when pinctrl_enable() fails
    - [armhf] pinctrl: ti: ti-iodelay: Drop if block with always false
      condition
    - [armhf] pinctrl: ti: ti-iodelay: fix possible memory leak when
      pinctrl_enable() fails
    - fs/proc/task_mmu: indicate PM_FILE for PMD-mapped file THP
    - nilfs2: avoid undefined behavior in nilfs_cnt32_ge macro
    - rtc: interface: Add RTC offset to alarm after fix-up
    - tick/broadcast: Make takeover of broadcast hrtimer reliable
    - net: netconsole: Disable target before netpoll cleanup
    - af_packet: Handle outgoing VLAN packets without hardware offloading
    - ipv6: take care of scope when choosing the src addr
    - sched/fair: set_load_weight() must also call reweight_task() for
      SCHED_IDLE tasks
    - char: tpm: Fix possible memory leak in tpm_bios_measurements_open()
    - [arm64] media: venus: fix use after free in vdec_close (CVE-2024-42313)
    - hfs: fix to initialize fields of hfs_inode_info after hfs_alloc_inode()
      (CVE-2024-42311)
    - ext2: Verify bitmap and itable block numbers before using them
    - [x86] drm/gma500: fix null pointer dereference in
      cdv_intel_lvds_get_modes (CVE-2024-42310)
    - [x86] drm/gma500: fix null pointer dereference in
      psb_intel_lvds_get_modes (CVE-2024-42309)


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.102~) <!pkg.linux.nokernel !stage1>, kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native [amd64] <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, dwarves (>= 1.16~) [amd64 arm64] <!pkg.linux.nokernel !stage1>, gcc-10 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-10-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-10-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-10-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-10-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-10-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-10-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-10-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-10-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-10-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>, python3-docutils [linux-any] <!nodoc !pkg.linux.notools !stage1>, libelf-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.notools !stage1>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libopencsd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-5.10.0-33
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 5.10
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-5.10
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 5.10
 This package provides the various README files and HTML documentation for
 the Linux kernel version 5.10.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-5.10/html/index.html.
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Multi-Arch: foreign

Package: linux-doc
Architecture: all
Section: doc
Depends: linux-doc-5.10 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick !stage1>

Package: bpftool
Architecture: linux-any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Inspection and simple manipulation of BPF programs and maps
 The bpftool command allows for inspection and simple modification of
 Berkeley Packet Filter (BPF) objects on the system.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that supports these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package contains the shared library.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package is needed to compile programs against libcpupower.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usb.ids, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-5.10.0-33-alpha-generic [alpha], linux-image-5.10.0-33-alpha-smp [alpha], linux-image-5.10.0-33-amd64-unsigned [amd64], linux-image-5.10.0-33-cloud-amd64-unsigned [amd64], linux-image-5.10.0-33-rt-amd64-unsigned [amd64], linux-image-5.10.0-33-arm64-unsigned [arm64], linux-image-5.10.0-33-cloud-arm64-unsigned [arm64], linux-image-5.10.0-33-rt-arm64-unsigned [arm64], linux-image-5.10.0-33-marvell [armel], linux-image-5.10.0-33-rpi [armel], linux-image-5.10.0-33-armmp [armhf], linux-image-5.10.0-33-armmp-lpae [armhf], linux-image-5.10.0-33-rt-armmp [armhf], linux-image-5.10.0-33-parisc [hppa], linux-image-5.10.0-33-parisc64 [hppa], linux-image-5.10.0-33-686-unsigned [i386], linux-image-5.10.0-33-686-pae-unsigned [i386], linux-image-5.10.0-33-rt-686-pae-unsigned [i386], linux-image-5.10.0-33-itanium [ia64], linux-image-5.10.0-33-mckinley [ia64], linux-image-5.10.0-33-m68k [m68k], linux-image-5.10.0-33-4kc-malta [mips mipsel], linux-image-5.10.0-33-5kc-malta [mips mips64 mips64el mipsel], linux-image-5.10.0-33-octeon [mips mips64 mips64el mipsel], linux-image-5.10.0-33-loongson-3 [mips64el mipsel], linux-image-5.10.0-33-mips64r6 [mips64r6 mipsr6], linux-image-5.10.0-33-mips64r6el [mips64r6el mipsr6el], linux-image-5.10.0-33-mips32r6 [mipsr6], linux-image-5.10.0-33-mips32r6el [mipsr6el], linux-image-5.10.0-33-powerpc [powerpc], linux-image-5.10.0-33-powerpc-smp [powerpc], linux-image-5.10.0-33-powerpc64 [powerpc ppc64], linux-image-5.10.0-33-powerpc64le [ppc64el], linux-image-5.10.0-33-riscv64 [riscv64], linux-image-5.10.0-33-s390x [s390x], linux-image-5.10.0-33-sh7751r [sh4], linux-image-5.10.0-33-sh7785lcr [sh4], linux-image-5.10.0-33-sparc64 [sparc64], linux-image-5.10.0-33-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k mips64r6 mips64r6el mipsr6 mipsr6el ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-5.10.0-33-alpha-smp [alpha], linux-headers-5.10.0-33-cloud-amd64 [amd64], linux-headers-5.10.0-33-cloud-arm64 [arm64], linux-headers-5.10.0-33-armmp [armhf], linux-headers-5.10.0-33-parisc [hppa], linux-headers-5.10.0-33-686-pae [i386], linux-headers-5.10.0-33-itanium [ia64], linux-headers-5.10.0-33-m68k [m68k], linux-headers-5.10.0-33-mips64r6 [mips64r6], linux-headers-5.10.0-33-mips64r6el [mips64r6el], linux-headers-5.10.0-33-mips32r6 [mipsr6], linux-headers-5.10.0-33-mips32r6el [mipsr6el], linux-headers-5.10.0-33-powerpc64 [ppc64], linux-headers-5.10.0-33-powerpc64le [ppc64el], linux-headers-5.10.0-33-riscv64 [riscv64], linux-headers-5.10.0-33-s390x [s390x], linux-headers-5.10.0-33-sparc64-smp [sparc64]

## linux 5.10.230

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 5
PATCHLEVEL = 10
SUBLEVEL = 230
EXTRAVERSION =
NAME = Dare mighty things

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
# If KBUILD_VERBOSE equals 2 then give the reason why each target is rebuilt.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
endif

export quiet Q KBUILD_VERBOSE

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# Do we want to change the working directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifneq ($(KBUILD_OUTPUT),)
# Make's built-in functions such as $(abspath ...), $(realpath ...) cannot
# expand a shell special character '~'. We use a somewhat tedious way here.
abs_objtree := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) && pwd)
$(if $(abs_objtree),, \
     $(error failed to create output directory "$(KBUILD_OUTPUT)"))

# $(realpath ...) resolves symlinks
abs_objtree := $(realpath $(abs_objtree))
else
abs_objtree := $(CURDIR)
endif # ifneq ($(KBUILD_OUTPUT),)

ifeq ($(abs_objtree),$(CURDIR))
# Suppress "Entering directory ..." unless we are changing the work directory.
MAKEFLAGS += --no-print-directory
else
need-sub-make := 1
endif

abs_srctree := $(realpath $(dir $(lastword $(MAKEFILE_LIST))))

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

ifneq ($(abs_srctree),$(abs_objtree))
# Look for make include files relative to root of kernel src
#
# This does not become effective immediately because MAKEFLAGS is re-parsed
# once after the Makefile is read. We need to invoke sub-make.
MAKEFLAGS += --include-dir=$(abs_srctree)
need-sub-make := 1
endif

this-makefile := $(lastword $(MAKEFILE_LIST))

ifneq ($(filter 3.%,$(MAKE_VERSION)),)
# 'MAKEFLAGS += -rR' does not immediately become effective for GNU Make 3.x
# We need to invoke sub-make to avoid implicit rules in the top Makefile.
need-sub-make := 1
# Cancel implicit rules for this Makefile.
$(this-makefile): ;
endif

export abs_srctree abs_objtree
export sub_make_done := 1

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) -C $(abs_objtree) -f $(abs_srctree)/Makefile $(MAKECMDGOALS)

endif # need-sub-make
endif # sub_make_done

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(need-sub-make),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

export KBUILD_CHECKSRC KBUILD_EXTMOD

extmod-prefix = $(if $(KBUILD_EXTMOD),$(KBUILD_EXTMOD)/)

ifeq ($(abs_srctree),$(abs_objtree))
        # building in the source tree
        srctree := .
	building_out_of_srctree :=
else
        ifeq ($(abs_srctree)/,$(dir $(abs_objtree)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(abs_srctree)
        endif
	building_out_of_srctree := 1
endif

ifneq ($(KBUILD_ABS_SRCTREE),)
srctree := $(abs_srctree)
endif

objtree		:= .
VPATH		:= $(srctree)

export building_out_of_srctree srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile
no-sync-config-targets := $(no-dot-config-targets) %install kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.s %.symtypes %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		need-config :=
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config :=
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter %config,$(MAKECMDGOALS)),)
		config-build := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
			mixed-build := 1
                endif
        endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
	single-build := 1
	ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
		mixed-build := 1
	endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

=== drivers/pci/controller/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_PCIE_CADENCE) += cadence/
obj-$(CONFIG_PCI_FTPCI100) += pci-ftpci100.o
obj-$(CONFIG_PCI_HYPERV) += pci-hyperv.o
obj-$(CONFIG_PCI_HYPERV_INTERFACE) += pci-hyperv-intf.o
obj-$(CONFIG_PCI_MVEBU) += pci-mvebu.o
obj-$(CONFIG_PCI_AARDVARK) += pci-aardvark.o
obj-$(CONFIG_PCI_TEGRA) += pci-tegra.o
obj-$(CONFIG_PCI_RCAR_GEN2) += pci-rcar-gen2.o
obj-$(CONFIG_PCIE_RCAR_HOST) += pcie-rcar.o pcie-rcar-host.o
obj-$(CONFIG_PCIE_RCAR_EP) += pcie-rcar.o pcie-rcar-ep.o
obj-$(CONFIG_PCI_HOST_COMMON) += pci-host-common.o
obj-$(CONFIG_PCI_HOST_GENERIC) += pci-host-generic.o
obj-$(CONFIG_PCIE_XILINX) += pcie-xilinx.o
obj-$(CONFIG_PCIE_XILINX_NWL) += pcie-xilinx-nwl.o
obj-$(CONFIG_PCIE_XILINX_CPM) += pcie-xilinx-cpm.o
obj-$(CONFIG_PCI_V3_SEMI) += pci-v3-semi.o
obj-$(CONFIG_PCI_XGENE_MSI) += pci-xgene-msi.o
obj-$(CONFIG_PCI_VERSATILE) += pci-versatile.o
obj-$(CONFIG_PCIE_IPROC) += pcie-iproc.o
obj-$(CONFIG_PCIE_IPROC_MSI) += pcie-iproc-msi.o
obj-$(CONFIG_PCIE_IPROC_PLATFORM) += pcie-iproc-platform.o
obj-$(CONFIG_PCIE_IPROC_BCMA) += pcie-iproc-bcma.o
obj-$(CONFIG_PCIE_ALTERA) += pcie-altera.o
obj-$(CONFIG_PCIE_ALTERA_MSI) += pcie-altera-msi.o
obj-$(CONFIG_PCIE_ROCKCHIP) += pcie-rockchip.o
obj-$(CONFIG_PCIE_ROCKCHIP_EP) += pcie-rockchip-ep.o
obj-$(CONFIG_PCIE_ROCKCHIP_HOST) += pcie-rockchip-host.o
obj-$(CONFIG_PCIE_MEDIATEK) += pcie-mediatek.o
obj-$(CONFIG_PCIE_TANGO_SMP8759) += pcie-tango.o
obj-$(CONFIG_VMD) += vmd.o
obj-$(CONFIG_PCIE_BRCMSTB) += pcie-brcmstb.o
obj-$(CONFIG_PCI_LOONGSON) += pci-loongson.o
obj-$(CONFIG_PCIE_HISI_ERR) += pcie-hisi-error.o
# pcie-hisi.o quirks are needed even without CONFIG_PCIE_DW
obj-y				+= dwc/
obj-y				+= mobiveil/


# The following drivers are for devices that use the generic ACPI
# pci_root.c driver but don't support standard ECAM config access.
# They contain MCFG quirks to replace the generic ECAM accessors with
# device-specific ones that are shared with the DT driver.

# The ACPI driver is generic and should not require driver-specific
# config options to be enabled, so we always build these drivers on
# ARM64 and use internal ifdefs to only build the pieces we need
# depending on whether ACPI, the DT driver, or both are enabled.

ifdef CONFIG_PCI
obj-$(CONFIG_ARM64) += pci-thunder-ecam.o
obj-$(CONFIG_ARM64) += pci-thunder-pem.o
obj-$(CONFIG_ARM64) += pci-xgene.o
endif

=== debian/changelog ===
linux (5.10.230-1.0antix.1686) bullseye; urgency=low

  * Custom built Linux kernel for antiX.

 -- anticapitalista <antix@operamail.com>  Sun, 24 Nov 2024 19:02:55 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: linux
Section: kernel
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
Rules-Requires-Root: no
Build-Depends: devscripts, bc, debhelper, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, dwarves, python3
Homepage: https://www.kernel.org/

Package: linux-image-5.10.230-antix.1-686-smp-pae
Architecture: i386
Description: Linux kernel, version 5.10.230-antix.1-686-smp-pae
 This package contains the Linux kernel, modules and corresponding other
 files, version: 5.10.230-antix.1-686-smp-pae.

Package: linux-libc-dev
Section: devel
Provides: linux-kernel-headers
Architecture: i386
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.
Multi-Arch: same

Package: linux-headers-5.10.230-antix.1-686-smp-pae
Architecture: i386
Description: Linux kernel headers for version 5.10.230-antix.1-686-smp-pae on i386
 .
 This is useful for people who need to build external modules

=== debian/rules ===
#!/usr/bin/make -f

#~ export DEB_BUILD_MAINT_OPTIONS=nocheck
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

srctree ?= .
KERNEL_ARCH := x86
# Import some variables
include debian/rules.d/custom-config.mk

CHECK_DEBUG_PACKAGE := $(shell if grep -q -x "Package: linux-image-$(KERNELVER_REL)-dbg" debian/control; then echo true; else echo false; fi)

NUMCPUS := $(shell grep -c '^processor' /proc/cpuinfo)
PARALLEL_BUILD=-j$(NUMCPUS)

#~ KERNEL_MAKE := $(MAKE) KERNELRELEASE=$(KERNELVER_REL) ARCH=$(KERNEL_ARCH) KBUILD_BUILD_VERSION=$(KERNEL_BUILD_VERSION) -f Makefile
KERNEL_MAKE := $(MAKE) KERNELRELEASE=$(KERNELVER_REL) ARCH=x86  $(PARALLEL_BUILD) KBUILD_BUILD_VERSION=1 -f $(srctree)/Makefile


%:
	dh $@

override_dh_auto_configure:
	# Copy over the correct config file before building the kernel
	cp debian/config/$(CUSTOM_KERNEL_CONFIG)/$(SELECTED_BUILD).config .config

override_dh_auto_build:
	# Build the full kernel and all its configured options
	$(KERNEL_MAKE)

override_dh_auto_install:
	# Run the install script
	$(KERNEL_MAKE) intdeb-pkg

	# Copy over the maintainer scripts before removing the DEBIAN folder
	cp debian/linux-image/DEBIAN/postinst debian/linux-image-$(KERNELVER_REL).postinst
	cp debian/linux-image/DEBIAN/postrm debian/linux-image-$(KERNELVER_REL).postrm
	cp debian/linux-image/DEBIAN/preinst debian/linux-image-$(KERNELVER_REL).preinst
	cp debian/linux-image/DEBIAN/prerm debian/linux-image-$(KERNELVER_REL).prerm
	rm -rf debian/linux-image/DEBIAN debian/linux-headers/DEBIAN

	# Use dh_install to install from the staging directory
	dh_install -p linux-image-$(KERNELVER_REL) debian/linux-image/* /
	dh_install -p linux-headers-$(KERNELVER_REL) debian/linux-headers/* /
#~ 	dh_install -p linux-libc-dev debian/linux-libc-dev/* /
	
#~ 	# Check if the debug package entry should be built
#~ ifeq ($(CHECK_DEBUG_PACKAGE), true)
#~ 	dh_install -p linux-image-$(KERNELVER_REL)-dbg debian/linux-image-dbg/* /
#~ endif

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym 

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/files debian/linux-* debian/tmp
